.slideshow-component-wrapper {
    width: 100%;
    position: relative;
    overflow: hidden;
}

.slideshow-component-wrapper .swiper-button-prev, .slideshow-component-wrapper .swiper-button-next {
    width: 5cqh;
    height: 5cqh;
    max-width: 40px;
    max-height: 40px;
    min-width: 30px;
    min-height: 30px;
}

.slideshow-tabs {
    position: absolute;
    list-style: none;
    margin:0;
    top: 10px;
    left: 10px;
    display: flex;
    flex-wrap: wrap;
    z-index: 3;
    padding: 4px;
    gap: 2px;
    border-radius: var(--border-radius-small);
    background: rgba(0, 0, 0, 0.20);
    backdrop-filter: blur(12.5px);
}

.slideshow-tabs a {
    text-decoration: none;
    color: rgba(255, 255, 255, 0.50);
    padding: 9px 13px;
    font-size: 12px;
    line-height: 12px;
    border-radius: 6px;
    display: block;
    transition: background-color 0.3s ease, color 0.3s ease;
}

.slideshow-tabs a.active,
.slideshow-tabs a:hover {
    color: #fff;
    background: rgba(255, 255, 255, 0.20);
}

.swiper-main {
    width: 100%;
    border-radius: var(--border-radius-medium);
}
.site-modal .swiper-main { border-radius:0; }

.swiper-main .swiper-slide {
    height: auto;
}

.slideshow-caption {
    transition: margin-bottom 0.3s ease;
    text-align: left;
    width: 100%;
}

.slideshow-component-wrapper:hover .slideshow-caption {
    margin-bottom:10px;
}

.slideshow-caption span {
    color: #fff;
    font-size: 13px;
    line-height: 15px;
    padding: 10px 15px;
    border-radius: var(--border-radius-small);
    background: rgba(0, 0, 0, 0.20);
    backdrop-filter: blur(12.5px);
    display: inline-block;
}

.swiper-main img {
    width: 100%;
    aspect-ratio: 16 / 10;
    object-fit: cover;
    object-position: center;
    display: block;
}

.swiper-thumbs {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 3;
    /* border-radius: var(--border-radius-medium); */
    padding: var(--padding-medium);
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.00) 0%, rgba(0, 0, 0, 0.30) 100%);
}

.swiper-thumbs .swiper-slide {
    width: 25%;
    max-width: 185px;
    height: auto;
    cursor: pointer;
}

.swiper-thumbs .swiper-slide img {
    width: 100%;
    height: auto;
    display: block;
    object-fit: cover;
    aspect-ratio: 16/10;
    border-radius: var(--border-radius-xsmall);
    border: 5px solid rgba(0, 0, 0, 0.10);
    backdrop-filter: blur(8.82208251953125px);
    transition: border-color 0.3s ease;
}

.swiper-thumbs .swiper-slide-thumb-active, .swiper-thumbs .swiper-slide img:hover {
    border-color: var(--color-accent-primary);
}




.slideshow-tabs {
    transform:translateY(-150%);
    transition:transform 0.3s ease;
}

.slideshow-component-wrapper:hover .slideshow-tabs {
    transform:translateY(0);
}

.swiper-thumbs .swiper-slide {
    max-height:0;
    overflow:hidden;
    transition:max-height 0.3s ease;
}

.slideshow-component-wrapper:hover .swiper-thumbs .swiper-slide {
    max-height:250px;
}



@media (max-width: 768px) {
    .slideshow-tabs { display:none; }
    .swiper-thumbs .swiper-slide { display:none; }
    .slideshow-component-wrapper:hover .slideshow-caption {
        margin-bottom:0px;
    }
    .slideshow-caption span { padding: 10px 13px; border-radius: 8px; }
}

@media (max-height: 700px) {
    .swiper-thumbs .swiper-slide { display:none; }
    .slideshow-component-wrapper:hover .slideshow-caption {
        margin-bottom:0px;
    }
    .slideshow-caption span { font-size:12px; padding: 10px 13px; border-radius: 8px; }
}
